Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata
Class PortComponentRefMetaData

    java.lang.Object
      org.jboss.webservice.metadata.PortComponentRefMetaData

All Implemented Interfaces:
  Serializable

public class PortComponentRefMetaData
extends Object
implements Serializable

The metdata data from service-ref/port-component-ref element in web.xml, ejb-jar.xml, and application-client.xml.

Version:
  $Revision: 1.1 $
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Constructor Summary
`PortComponentRefMetaData(ServiceRefMetaData serviceRefMetaData)`

Method Summary
`Properties` | `getCallProperties()`
`String` | `getPortComponentLink()`
`String` | `getServiceEndpointInterface()`
`Class` | `getServiceEndpointInterfaceClass()`
`ServiceRefMetaData` | `getServiceRefMetaData()`
`void` | `importJBossXml(Element element)`
`void` | `importStandardXml(Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortComponentRefMetaData

    public PortComponentRefMetaData(ServiceRefMetaData serviceRefMetaData)

Method Detail

### getServiceRefMetaData

    public ServiceRefMetaData getServiceRefMetaData()

### getPortComponentLink

    public String getPortComponentLink()

### getServiceEndpointInterface

    public String getServiceEndpointInterface()

### getServiceEndpointInterfaceClass

    public Class getServiceEndpointInterfaceClass()

### getCallProperties

    public Properties getCallProperties()

### importStandardXml

    public void importStandardXml(Element element)
                           throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### importJBossXml

    public void importJBossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.